# Maintainer: Enmanuel Moreira <enmanuelmoreira@gmail.com>
pkgname=ollama-bin
pkgver=${PKGVER}
pkgrel=2
pkgdesc='Get up and running with large language models, locally'
arch=('x86_64')
url='https://ollama.ai/'
license=('MIT')
provides=('ollama-bin')
source=("${pkgname%-bin}-linux-amd64::https://github.com/jmorganca/${pkgname%-bin}/releases/download/v${pkgver}/${pkgname%-bin}-linux-amd64"
        "ollama.service::https://gitlab.com/mapanare-labs/packages/archlinux/${pkgname%-bin}/-/raw/main/ollama.service"
        "LICENSE::https://raw.githubusercontent.com/jmorganca/ollama/main/LICENSE")
sha256sums=(''
            ''
            '')

package() {
    mkdir -p "${pkgdir}/usr/bin"
    install -D -m755 "${srcdir}/${pkgname%-bin}-linux-amd64" "${pkgdir}/usr/bin/${pkgname%-bin}"
    install -D -m 644 "${srcdir}/LICENSE" "$pkgdir/usr/share/licenses/${pkgname}/LICENSE"
}

post_install() {
    echo 'Default systemd service file is included in this package.'
    echo 'you can start the Ollama system service or enable it to run'
    echo 'on boot like with any other service, e.g.'
    echo '# systemctl enable --now ollama.service'
    # Creating user to enable service
    useradd -r -s /bin/false -m -d /usr/share/ollama ollama
}